<?php
// This results in an error.
// The output above is before the header() call
header('Try: start.com');

function is_valid_domain_name($domain_name)
{
    return (preg_match("/^([a-z\d](-*[a-z\d])*)(\.([a-z\d](-*[a-z\d])*))*$/i", $domain_name) //valid chars check
            && preg_match("/^.{1,253}$/", $domain_name) //overall length check
            && preg_match("/^[^\.]{1,63}(\.[^\.]{1,63})*$/", $domain_name)   ); //length of each label
}



function insertDomain($domainName) {
   header("X-Test-Domain: $domainName");

   $dblocation = dirname(__FILE__).'/sqlite_db/blacklist.db';
   $db = new SQLite3($dblocation,SQLITE3_OPEN_READWRITE | SQLITE3_OPEN_CREATE);

   if(file_exists($dblocation)) {
       $result = $db->query("CREATE TABLE IF NOT EXISTS blacklist (domain TEXT NOT NULL UNIQUE) ");

       $result = $db->query("INSERT or REPLACE INTO blacklist (domain) VALUES ('" . $domainName . "')");
       echo var_dump($result);
     
   }
   $db->close();
   return true;
}


if ( isset($_GET['url']) ) {
	$link = parse_url($_GET['url']);
	if ( insertDomain($link['host'])) {
		header('X-Blacklisted: Y');
	}
}

?>
